summaryrefslogtreecommitdiff
path: root/tests/mkdir/p-1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mkdir/p-1.sh')
-rwxr-xr-xtests/mkdir/p-1.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/tests/mkdir/p-1.sh b/tests/mkdir/p-1.sh
new file mode 100755
index 0000000..24e99d5
--- /dev/null
+++ b/tests/mkdir/p-1.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+# Test "mkdir -p".
+
+# Copyright (C) 1997-2016 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ mkdir
+
+mkdir --parents "$(pwd)/t" || fail=1
+test -d t || fail=1
+
+Exit $fail